Subject: Re: [PATCH net-next v3 7/7] tls: rx: do not use the standard strparser

From: Jakub Kicinski <[email-masked]>
Date: Wed, 15 Mar 2023 18:41:45 -0700

On Wed, 15 Mar 2023 22:26:55 +0200 Tariq Toukan wrote:
> +       printk("skb: %p, len = %d, nfrags = %d\n", darg->skb, 
> darg->skb->len, skb_shinfo(darg->skb)->nr_frags);
> +       for (i = 0; i < skb_shinfo(darg->skb)->nr_frags; i++)
> +               printk("frag#%d: %p, len %d\n", i, 

Not enough info, I tried my best to get the CX6 DX I have to work, 
but mlx5_crypto_create_dek_key() returns -EINVAL fw 22.32.1206
IDK what the story is but it's quite frustrating to try to help
the offload vendors (NXP before you) and not be able to repro even 
when in theory one has the right HW :|

What do I need to do get a CX6 DX which reports

# ethtool -k eth0 | grep tls
tls-hw-tx-offload: on
tls-hw-rx-offload: on

to actually offload TLS 1.2?